import { type IWeeks } from "@leight/calendar";
import { DateTime } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IWeeksStoreProps = IStoreProps<{
    /**
     * Set weeks of the given date
     */
    weeksOf(date: DateTime): IWeeks;
    /**
     * Move to the current month
     */
    today(): IWeeks;
    /**
     * Change weeks to the previous month
     */
    prevMonth(): IWeeks;
    /**
     * Change weeks to the next month
     */
    nextMonth(): IWeeks;
    prevYear(): IWeeks;
    nextYear(): IWeeks;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly weeks: IWeeks;
}>;
export declare const WeeksOfStore: import("@leight/context-client").ICrateStoreContext<IWeeksStoreProps>;
export interface IWeeksOfProviderProps extends Omit<ComponentProps<typeof WeeksOfStore["Provider"]>, "state"> {
    date?: DateTime;
}
export declare const WeeksOfProvider: FC<IWeeksOfProviderProps>;
//# sourceMappingURL=WeeksOfStore.d.ts.map