import { type ICalendarEventSchema, type IMonth } from "@leight/calendar";
import { DateTime } from "@leight/i18n";
import { type ISourceSchema } from "@leight/source";
import { type PropsWithChildren } from "react";
import { type ICalendarShellProps } from "./CalendarShell";
export type IMonthsProps<TSourceSchema extends ISourceSchema<ICalendarEventSchema> = ISourceSchema<ICalendarEventSchema>> = PropsWithChildren<Omit<ICalendarShellProps<TSourceSchema>, "children" | "onClick"> & {
    onClick?(props: IIMonthsProps.IOnClickProps): void;
}>;
export declare namespace IIMonthsProps {
    interface IOnClickProps {
        month: IMonth;
    }
}
export declare const Months: <TSourceSchema extends ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: DateTime | undefined;
    next?: DateTime | undefined;
    date: DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>> = ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: DateTime | undefined;
    next?: DateTime | undefined;
    date: DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>>>({ children, onClick, ...props }: IMonthsProps<TSourceSchema>) => JSX.Element;
//# sourceMappingURL=Months.d.ts.map