import { type ICalendarEventSchema, type IDay, type IWeeks } from "@leight/calendar";
import { DateTime } from "@leight/i18n";
import { type ISourceSchema } from "@leight/source";
import { type PropsWithChildren, type ReactNode } from "react";
import { type ICalendarShellProps } from "./CalendarShell";
export type IWeeksProps<TSourceSchema extends ISourceSchema<ICalendarEventSchema> = ISourceSchema<ICalendarEventSchema>> = PropsWithChildren<Omit<ICalendarShellProps<TSourceSchema>, "children" | "onClick" | "onChange"> & {
    onClick?(props: IWeeksProps.IOnClickProps): void;
    onChange?(props: IWeeksProps.IOnChangeProps): void;
    renderDayInline?(props: IWeeksProps.IRenderInlineProps<TSourceSchema>): ReactNode;
    weekCountSize?: number;
    defaultWithWeekNo?: boolean;
    columnSize?: number;
    highlightToday?: boolean;
}>;
export declare namespace IWeeksProps {
    interface IOnClickProps {
        day: IDay;
    }
    interface IOnChangeProps {
        weeks: IWeeks;
    }
    interface IRenderInlineProps<TSourceSchema extends ISourceSchema<ICalendarEventSchema>> {
        schema: TSourceSchema["EntitySchema"];
        day: IDay;
        events: TSourceSchema["Entity"][];
    }
}
export declare const Weeks: <TSourceSchema extends ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: DateTime | undefined;
    next?: DateTime | undefined;
    date: DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>> = ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: DateTime | undefined;
    next?: DateTime | undefined;
    date: DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>>>({ onClick, onChange, events, renderDayInline, highlightToday, defaultWithWeekNo, weekCountSize, columnSize, children, ...props }: IWeeksProps<TSourceSchema>) => JSX.Element;
//# sourceMappingURL=Weeks.d.ts.map