import { type ICalendarEventSchema, type IYear } from "@leight/calendar";
import { type ISourceSchema } from "@leight/source";
import { type PropsWithChildren } from "react";
import { type ICalendarShellProps } from "./CalendarShell";
export type IYearsProps<TSourceSchema extends ISourceSchema<ICalendarEventSchema> = ISourceSchema<ICalendarEventSchema>> = PropsWithChildren<Omit<ICalendarShellProps<TSourceSchema>, "children" | "onClick"> & {
    onClick?(props: IYearsProps.IOnClickProps): void;
}>;
export declare namespace IYearsProps {
    interface IOnClickProps {
        year: IYear;
    }
}
export declare const Years: <TSourceSchema extends ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, import("luxon").DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, import("luxon").DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, import("luxon").DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: import("luxon").DateTime | undefined;
    next?: import("luxon").DateTime | undefined;
    date: import("luxon").DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>> = ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodEffects<import("zod").ZodString, import("luxon").DateTime, string>;
    prev: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, import("luxon").DateTime | undefined, string | undefined>;
    next: import("zod").ZodEffects<import("zod").ZodOptional<import("zod").ZodString>, import("luxon").DateTime | undefined, string | undefined>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: import("luxon").DateTime | undefined;
    next?: import("luxon").DateTime | undefined;
    date: import("luxon").DateTime;
    id: string;
}, {
    prev?: string | undefined;
    next?: string | undefined;
    date: string;
    id: string;
}>, import("@leight/source").ICreateSchema, import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("@leight/filter").IFilterSchema, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>>>({ children, onClick, ...props }: IYearsProps<TSourceSchema>) => JSX.Element;
//# sourceMappingURL=Years.d.ts.map